petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCDeflationGetCoarseKSP

Returns the coarse problem KSP.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCDeflationGetCoarseKSP(PC pc,KSP *ksp)

Not Collective

### Input Parameters

pc -preconditioner context

### Output Parameters

ksp -coarse problem KSP context

### See Also

PCDEFLATION

### Level

advanced

### Location

src/ksp/pc/impls/deflation/deflation.c

### Implementations

PCDeflationGetCoarseKSP_Deflation in src/ksp/pc/impls/deflation/deflation.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages